<div class="container-fluid dashboard">

  <div class="row">
    <!-- row start-->
    <!-- Bucket dropdown -->
    <div class="col-lg-2 col-md-6">
      <mat-form-field>
        <mat-label>Select Bid Bucket</mat-label>
        <mat-select [formControl]="cioSelect" required [(ngModel)]="selectedBucket" disabled>
          <mat-option *ngFor="let bucket of bucketList" [value]="bucket.id">
            {{bucket.name}}
          </mat-option>
        </mat-select>
        <mat-error *ngIf="bucketSelect.hasError('required')">Please choose a bucket</mat-error>
      </mat-form-field>
    </div> <!-- Bucket row ends -->

    <!-- CIO dropdown -->
    <div class="col-lg-2 col-md-6">
      <mat-form-field>
        <mat-label>Select CIO</mat-label>
        <mat-select [formControl]="cioSelect" required [(ngModel)]="selectedValue"
          (selectionChange)="getCIOData(selectedValue)">
          <mat-option [value]="0">
            <div class="row">
              <div class="col-md-3">
                <img width="40px" height="40px" class="rounded float-left" src="../../assets/images/cio/all.png">
              </div>
              <div class="col-md-9 float-left"> All Onboardings </div>
            </div>
          </mat-option>

          <ng-container *ngFor="let cio of cioList">
            <mat-option *ngIf="cio.category == 'PRIMARY'" [value]="cio.id">
              <div class="row">
                <div class="col-md-3">
                  <img with="40px" height="40px" class="rounded float-left"
                    src="../../assets/images/cio/{{cio.id}}.jpg">
                </div>
                <div class="col-md-9 float-left">
                  {{cio.name}}
                </div>
              </div>
            </mat-option>
          </ng-container>

          <mat-option [value]="-1">
            <div class="row">
              <div class="col-md-3">
                <img width="40px" height="40px" class="rounded float-left" src="../../assets/images/cio/others.jpg">
              </div>
              <div class="col-md-9 float-left"> Others </div>
            </div>
          </mat-option>


          <!-- <mat-option *ngFor="let cio of cioList" [value]="cio.id">
            <div class="row">
              <div class="col-md-3">
                <img with="40px" height="40px" class="rounded float-left" src="../../assets/images/cio/{{cio.id}}.jpg">
              </div>
              <div class="col-md-9 float-left">
                {{cio.name}}
              </div>
            </div>
          </mat-option> -->


        </mat-select>
        <mat-error *ngIf="cioSelect.hasError('required')">Please choose a CIO</mat-error>
      </mat-form-field>
    </div>
    <div class="col-lg-2 col-md-3 badges">
      <span matBadge={{totalOnboardings}} matBadgeColor="primary" matBadgeSize="medium" matBadgeOverlap="false">Total
        Onboardings</span>
    </div>
    <div class="col-lg-2 col-md-3 badges">
      <span matBadge={{riskOnboardings}} matBadgeSize="medium" matBadgeOverlap="false">Risk Onboardings</span>
    </div>
    <div class="col-lg-2 col-md-3 badges">
      <span matBadge={{inProgressOnboardings}} matBadgeSize="medium" matBadgeOverlap="false">InProgress
        Onboardings</span>
    </div>
    <div class="col-lg-2 col-md-3 badges">
      <span matBadge={{completedOnboardings}} matBadgeSize="medium" matBadgeOverlap="false">Completed
        Onboardings</span>
    </div>
  </div> <!-- top row ends-->

  <div *ngIf="showMoreDetails && !isDataPresent ; else elseBlock">
    <div class="row">
      <!-- chart row starts -->
      <!-- Pie chart rows -->
      <div class="col-lg-2 col-sm-12">
        <div class="row">
          <div class="mat-elevation-z8" id="riskPieChartdiv"></div>
        </div>
        <div class="row">
          <div class="mat-elevation-z8" id="tgPieChartdiv"></div>
        </div>
      </div>

      <!-- Stack column chart -->
      <div class="col-lg-10 col-sm-12">
        <div class="mat-elevation-z8" id="chartdiv"></div>
      </div>
    </div> <!-- chart row ends -->
  </div>
  <ng-template #elseBlock>
    <div class="no-preview">
      <img src="../../assets/images/no-data.png">
      <p>No data found for selected CIO</p>
    </div>

  </ng-template>


  <div class="row">
    <div class="col-sm-12">
      <div *ngIf="showMoreDetails && !isDataPresent">

        <!-- Table Filter -->
        <mat-form-field class="filter">
          <input matInput [(ngModel)]="filterChar" (keyup)="applyFilter($event.target.value)" placeholder="Filter">
        </mat-form-field>

        <!-- Table reset data button -->
        <button mat-raised-button color="primary" matTooltip="Reset table data" matTooltipPosition="right"
          (click)="resetTableData()"> Reset Data </button>

        <button mat-raised-button color="primary" matTooltip="Download as excel" matTooltipPosition="right" id="step12"
          #exportButton>Export As Excel</button>

        <div class="proj-table">
          <mat-table #table [dataSource]="onboardingsData" matSort ngxMatTableExporter [cdkTable]="table"
            [exporterButton]="exportButton" sheetName="dashboardData" fileName="dashboardData" class="mat-elevation-z8">
            <!-- <ng-container matColumnDef="tollgateLevel">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Tollgate Level </th>
              <td mat-cell *matCellDef="let element"> {{element.tollgateLevel}} </td>
            </ng-container> -->
            <ng-container matColumnDef="tollgateName">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Tollgate Name </th>
              <td mat-cell *matCellDef="let element"> {{element.tollgateName}} </td>
            </ng-container>
            <ng-container matColumnDef="appName" sticky>
              <th mat-header-cell *matHeaderCellDef mat-sort-header> App Name </th>
              <td mat-cell *matCellDef="let element"> {{element.appName}} </td>
            </ng-container>
            <ng-container matColumnDef="criticality">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Criticality </th>
              <td mat-cell *matCellDef="let element"> {{element.criticality | titlecase}} </td>
            </ng-container>
            <ng-container matColumnDef="isDelayed">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Delayed Start </th>
              <td mat-cell [ngStyle]="element.isDelayed?delayedObject:successObject" *matCellDef="let element">
                <span *ngIf="element.isDelayed">Yes</span>
                <span *ngIf="!element.isDelayed">No</span>
              </td>
            </ng-container>
            <ng-container matColumnDef="geAppOwner">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> GE Project Owner </th>
              <td mat-cell *matCellDef="let element"> {{element.geAppOwner}} </td>
            </ng-container>
            <ng-container matColumnDef="itLeader">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> GE IT Leader </th>
              <td mat-cell *matCellDef="let element"> {{element.itLeader}} </td>
            </ng-container>
            <ng-container matColumnDef="currentVendor">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Pitcher </th>
              <td mat-cell *matCellDef="let element"> {{element.currentVendor}} </td>
            </ng-container>
            <ng-container matColumnDef="plannedStartDate">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Planned KT Start Date </th>
              <td mat-cell *matCellDef="let element"> {{element.plannedStartDate | date:'MM/dd/yy'}} </td>
            </ng-container>
            <ng-container matColumnDef="ktStartDate">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Actual KT Start Date </th>
              <td mat-cell *matCellDef="let element"> {{element.actualStartDate | date:'MM/dd/yy'}} </td>
            </ng-container>
            <ng-container matColumnDef="primaryStartDate">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Primary Start Date </th>
              <td mat-cell *matCellDef="let element"> {{element.completionDate | date:'MM/dd/yy'}} </td>
            </ng-container>
            <ng-container matColumnDef="ktStatus">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Project Status </th>
              <td mat-cell *matCellDef="let element"> {{element.ktStatus | titlecase}} </td>
            </ng-container>
            <ng-container matColumnDef="risk">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Project Risk </th>
              <td mat-cell *matCellDef="let element"> {{element.risk | titlecase}} </td>
            </ng-container>
            <ng-container matColumnDef="riskDesc">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Risk Description </th>
              <td class="wideContent" mat-cell *matCellDef="let element"> {{element.riskDesc}} </td>
            </ng-container>
            <ng-container matColumnDef="mitigation">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> mitigation </th>
              <td class="wideContent" mat-cell *matCellDef="let element"> {{element.mitigation}} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky:true"></tr>
            <tr mat-row *matRowDef="let myRowData; columns: displayedColumns"></tr>
          </mat-table>
        </div>
        <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
      </div>
    </div>
  </div>

</div>
